{
  "id": "b4c775197dfc19f1cc67166f",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type TextNode",
  "content": "# type parse.type TextNode ¶\n\n```\ntype TextNode struct {\n\tNodeType\n\tPos\n\n\tText []byte // The text; may span newlines.\n\t// contains filtered or unexported fields\n}\n```\n\nTextNode holds plain text.",
  "url": "https://pkg.go.dev/parse#type TextNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type TextNode ¶",
    "type_kind": "alias",
    "underlying": "type TextNode struct {\n\tNodeType\n\tPos\n\n\tText []byte // The text; may span newlines.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "468bed2b741137f507f219901cede12cdef3b82870b13dcb928124239b6177aa",
  "timestamp": "2026-02-23T11:22:10.617630007+01:00"
}